%define sourcedir stable/%{version}/distribution/tar/generic/source
%define pkg kdeadmin

Name: %{pkg}2
Icon: kde-icon.xpm
Summary: K Desktop Environment - Admin tools
Version: 1.93
Release: 2
Epoch: 6
Source: ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{pkg}-%{version}.tar.bz2
Patch: kpackage.patch
Group: User Interface/Desktops
BuildRoot: %{_tmppath}/%{pkg}-buildroot
Copyright: GPL
Requires: kdesupport2
# Obsoletes: kpackage
Prefix: /usr/lib/kde2
ExcludeArch: ia64

%description
Administration tools for the K Desktop Environment.
Included with this package are: kpackage, kdat, kwuftpd

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{pkg}-%{version}
%patch -p1 -b .rpm4

#rm -rf ksysctrl
make -f Makefile.cvs

%build
export KDEDIR=%{prefix}
export PATH=$KDEDIR/bin:$PATH
unset QTDIR || : ; . /etc/profile.d/qt.sh
if [ -x /usr/bin/getconf ]; then
  CPUS=`getconf _NPROCESSORS_ONLN`
fi
if test "x$CPUS" = "x" -o "x$CPUS" = "x0"; then
  CPUS=1
fi

%ifnarch alpha
# CFLAGS="$RPM_OPT_FLAGS -DNDEBUG -DNO_DEBUG" CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG -DNO_DEBUG" \
%endif
CFLAGS="-O0" CXXFLAGS="-O0"
./configure \
	--with-rpm \
	--prefix=%{prefix}
make -j $CPUS

%install
make install DESTDIR=$RPM_BUILD_ROOT

# remove dupes from kdebase
rm -f $RPM_BUILD_ROOT/%{prefix}/share/icons/locolor/16x16/apps/{package,printer}.png

find $RPM_BUILD_ROOT -type f -exec strip -R .comment {} || : \; &>/dev/null
cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
	$RPM_BUILD_DIR/file.list.%{pkg}

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
	-e '/\/config\//s|^|%config|' >> \
	$RPM_BUILD_DIR/file.list.%{pkg}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
	$RPM_BUILD_DIR/file.list.%{pkg}

echo "%docdir %{prefix}/share/doc/kde" >> $RPM_BUILD_DIR/file.list.%{pkg}

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{pkg}

%files -f ../file.list.%{pkg}

%changelog
* Thu Aug 24 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- rebuild with new Qt

* Wed Aug 23 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 1.93
- fix up rpmv4 support

* Wed Jul 26 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Handle rpmv4 packages in kpackage (patch from Jeff Johnson <jbj@redhat.com>
  and myself)

* Fri Jul 21 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- some fixes to spec file

* Tue Jul 18 2000 Than Ngo <than@redhat.de>
- rebuilt against glibc-2.1.92-14, gcc-2.96-40

* Sun Jul 16 2000 Than Ngo <than@redhat.de>
- use gcc 2.96
- new snapshot
- FHS fixes

* Sun Jul  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- use kernelcc
- new snapshot

* Tue Jun 20 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- clean up specfile
- new snapshot
- ExcludeArch ia64 for now - kdelibs doesn't compile there
- kill ksysctrl for now - compiler breakages.

* Sat Mar 18 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- move it to /usr, where it belongs

* Fri Jan  7 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- work around install-strip breakage

* Fri Oct 22 1999 Bernhard Rosenkraenzer <bero@redhat.de>
- 2.0 snapshot
